GNU logs - #50571, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: "Basil L. Contovounesios" <contovob@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 13 Sep 2021 15:00:02 +0000
Resent-Message-ID: <handler.50571.B.16315451863576 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50571 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16315451863576
          (code B ref -1); Mon, 13 Sep 2021 15:00:02 +0000
Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 14:59:46 +0000
Received: from localhost ([127.0.0.1]:46579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPnQu-0000vb-Ql
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:59:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:44684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mPnQr-0000vS-Pm
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:59:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1mPnQr-0005dr-Gg
 for bug-gnu-emacs@HIDDEN; Mon, 13 Sep 2021 10:59:41 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:38798)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1mPnQm-0006N2-P7
 for bug-gnu-emacs@HIDDEN; Mon, 13 Sep 2021 10:59:40 -0400
Received: by mail-wr1-x42d.google.com with SMTP id u16so15188597wrn.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 13 Sep 2021 07:59:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=DEoJE07z8N9Zbyf2n9Ef/gtVMbuwqtJ0o7bnr4iiRec=;
 b=dntB3+7tjnUn3wym5uE8PXt3gRVa8Fr7+WbGswR5YLNymOGRMyPJC5TqY0xjdm4f/n
 eIZzdk9LtcE0hg5hZ1aKsnAe+DmUJrKkKIdVQ+AtnG0NlZuZ2CNBOVTKr8crvSK4Anaz
 IsNO7ld/X6J+Tw4bXKh7DzD7xJSlrCTym8W5/DZ6GABOhWvVlK95z0NgFvPAisFPcXrk
 V0y5xFjb9W6YhhGnjH8xBmNX3mk1PXwGH9bMdmCfTzn/ha4CmMMQLlAZrc+Q5ROD+ap/
 UQhUg6Rmq+lePr/JxTh4tU27lFU4SCrqcbLTJaEUi9uWLDehREtsf3uw2NvGCEGz26S+
 AOWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=DEoJE07z8N9Zbyf2n9Ef/gtVMbuwqtJ0o7bnr4iiRec=;
 b=tCx7qOIYD4b/DwYWNSU2DKAYrq7M+0KXd4eUHzo7uIAvMoHK4jxbRZrIwJt9zN9p4m
 Npm9ziZxnuykEOoM7IAResc56wDt+R7kw86UYQBddC+lhiMhAIIpR1t+dm2e4nrEkyNf
 D374KXbiDh62iBc1Q2xH+7j3OHt3vAl+g7A1IR8XABJxo4q/plbPPkoCrA+1RyKT2DZq
 Y4gNWuiIG/aUKNeWNs/MVIrhm4Z9vmk638oq1LJV0czb4uivS41geK7FH3JnbT4HVmCI
 UUGpGJPHjrFR2LIT7fx2tvGTXoQ6SKKnf+TR3e8io4ZQO3hIdgERg9L47pEfc16NbvD2
 cCMQ==
X-Gm-Message-State: AOAM532Q3TSuAR8xipYAEcUm0NInyOTHkMr5tfU/7qmwmsOoPBdGkCi8
 1SsQqx+SYP+lc+zWJH3sPuUfXC0hLtorwA==
X-Google-Smtp-Source: ABdhPJxxKzCC/Lu5BjMQdCwEs7dC5PIEUImwCrraIpwjhfIYdW/gOxVRLylzdBbCWZ6qrQEu0qADkA==
X-Received: by 2002:adf:ec4b:: with SMTP id w11mr7525598wrn.389.1631545172556; 
 Mon, 13 Sep 2021 07:59:32 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id o10sm8534792wrc.16.2021.09.13.07.59.30
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Sep 2021 07:59:31 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
Date: Mon, 13 Sep 2021 15:59:29 +0100
Message-ID: <87ilz4msha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::42d;
 envelope-from=contovob@HIDDEN; helo=mail-wr1-x42d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

I can reliably cause Emacs to segfault with my current config and
installed packages with the following steps specific to my system:

0. C-x p p (project-switch-project)
1. Select a checkout of https://github.com/kyleam/bog,
   using Ivy completion.
2. m (magit-project-status)

This tries to pop up a new frame (I have pop-up-frames non-nil) with
some recently introduced warning about bug-reference-bug-regexp.  I know
this is what it tries to do only because Emacs didn't segfault the first
time it happened, whereas now the segfault happens every time, before I
get a chance to read the warning.

I think there was some work on Magit recently relating to
bug-reference-mode, but I haven't updated my packages in a few days, so
it is possible that the warning has already been fixed upstream.  I will
therefore hold off on updating my packages until this segfault is fixed.

The attached GDB log for this session shows that the assertion that the
face cache (of the frame displaying Magit) is nonempty is tripped.

I have to run now, but I'll keep GDB running, and I'd be grateful for
help debugging this.

Thanks,

-- 
Basil


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=gdb-face-cache.txt.gz
Content-Transfer-Encoding: base64
Content-Description: GDB log
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--=-=-=
Content-Type: text/plain


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2021-09-13 built on tia
Repository revision: 7fe88446c30279285e3171091189b3d1af697c05
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure 'CC=ccache gcc' 'CFLAGS=-O0 -ggdb3' --config-cache
 --prefix=/home/blc/.local --program-suffix=-dbg
 --enable-checking=yes,glyphs --enable-check-lisp-object-type
 --with-x-toolkit=lucid --with-file-notification=yes --with-x'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  minibuffer-depth-indicate-mode: t
  bug-reference-prog-mode: t
  global-whitespace-mode: t
  display-time-mode: t
  global-subword-mode: t
  subword-mode: t
  global-so-long-mode: t
  global-paren-face-mode: t
  paren-face-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  display-battery-mode: t
  blc-rainbow-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t

Load-path shadows:
/home/blc/.emacs.d/lisp/counsel hides /home/blc/.emacs.d/elpa/counsel-0.13.4.0.20210819.150009/counsel
/home/blc/.emacs.d/lisp/ivy-hydra hides /home/blc/.emacs.d/elpa/ivy-hydra-0.13.5.0.20210311.102431/ivy-hydra
/home/blc/.local/src/emacs-dbg/lisp/org/org-num hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-num
/home/blc/.local/src/emacs-dbg/lisp/org/ob-plantuml hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-plantuml
/home/blc/.local/src/emacs-dbg/lisp/org/ol-rmail hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-rmail
/home/blc/.local/src/emacs-dbg/lisp/org/ol-bibtex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-bibtex
/home/blc/.local/src/emacs-dbg/lisp/org/ob-python hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-python
/home/blc/.local/src/emacs-dbg/lisp/org/org-table hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-table
/home/blc/.local/src/emacs-dbg/lisp/org/ol-info hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-info
/home/blc/.local/src/emacs-dbg/lisp/org/ob-stan hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-stan
/home/blc/.local/src/emacs-dbg/lisp/org/ob-scheme hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-scheme
/home/blc/.local/src/emacs-dbg/lisp/org/org-macro hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-macro
/home/blc/.local/src/emacs-dbg/lisp/org/org-habit hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-habit
/home/blc/.local/src/emacs-dbg/lisp/org/ob-coq hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-coq
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ocaml hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ocaml
/home/blc/.local/src/emacs-dbg/lisp/org/ob-org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-org
/home/blc/.local/src/emacs-dbg/lisp/org/org-capture hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-capture
/home/blc/.local/src/emacs-dbg/lisp/org/ob-emacs-lisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-emacs-lisp
/home/blc/.local/src/emacs-dbg/lisp/org/org-attach-git hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-attach-git
/home/blc/.local/src/emacs-dbg/lisp/org/org-plot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-plot
/home/blc/.local/src/emacs-dbg/lisp/org/ob-exp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-exp
/home/blc/.local/src/emacs-dbg/lisp/org/org-crypt hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-crypt
/home/blc/.local/src/emacs-dbg/lisp/org/ob hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob
/home/blc/.local/src/emacs-dbg/lisp/org/ob-gnuplot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-gnuplot
/home/blc/.local/src/emacs-dbg/lisp/org/ob-tangle hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-tangle
/home/blc/.local/src/emacs-dbg/lisp/org/ob-io hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-io
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ebnf hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ebnf
/home/blc/.local/src/emacs-dbg/lisp/org/ob-haskell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-haskell
/home/blc/.local/src/emacs-dbg/lisp/org/ox-icalendar hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-icalendar
/home/blc/.local/src/emacs-dbg/lisp/org/ob-dot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-dot
/home/blc/.local/src/emacs-dbg/lisp/org/org-element hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-element
/home/blc/.local/src/emacs-dbg/lisp/org/ox-org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-org
/home/blc/.local/src/emacs-dbg/lisp/org/ob-makefile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-makefile
/home/blc/.local/src/emacs-dbg/lisp/org/ob-shell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-shell
/home/blc/.local/src/emacs-dbg/lisp/org/ob-mscgen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-mscgen
/home/blc/.local/src/emacs-dbg/lisp/org/ob-clojure hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-clojure
/home/blc/.local/src/emacs-dbg/lisp/org/org-protocol hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-protocol
/home/blc/.local/src/emacs-dbg/lisp/org/org-clock hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-clock
/home/blc/.local/src/emacs-dbg/lisp/org/ob-R hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-R
/home/blc/.local/src/emacs-dbg/lisp/org/ob-J hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-J
/home/blc/.local/src/emacs-dbg/lisp/org/org-compat hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-compat
/home/blc/.local/src/emacs-dbg/lisp/org/org-keys hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-keys
/home/blc/.local/src/emacs-dbg/lisp/org/org-inlinetask hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-inlinetask
/home/blc/.local/src/emacs-dbg/lisp/org/ol-w3m hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-w3m
/home/blc/.local/src/emacs-dbg/lisp/org/org-datetree hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-datetree
/home/blc/.local/src/emacs-dbg/lisp/org/ob-abc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-abc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-eval hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-eval
/home/blc/.local/src/emacs-dbg/lisp/org/org-version hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-version
/home/blc/.local/src/emacs-dbg/lisp/org/org-src hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-src
/home/blc/.local/src/emacs-dbg/lisp/org/org-agenda hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-agenda
/home/blc/.local/src/emacs-dbg/lisp/org/org-footnote hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-footnote
/home/blc/.local/src/emacs-dbg/lisp/org/ob-shen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-shen
/home/blc/.local/src/emacs-dbg/lisp/org/ob-groovy hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-groovy
/home/blc/.local/src/emacs-dbg/lisp/org/ob-eshell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-eshell
/home/blc/.local/src/emacs-dbg/lisp/org/ox-md hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-md
/home/blc/.local/src/emacs-dbg/lisp/org/ol-bbdb hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-bbdb
/home/blc/.local/src/emacs-dbg/lisp/org/ob-fortran hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-fortran
/home/blc/.local/src/emacs-dbg/lisp/org/ob-matlab hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-matlab
/home/blc/.local/src/emacs-dbg/lisp/org/ol-mhe hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-mhe
/home/blc/.local/src/emacs-dbg/lisp/org/ob-hledger hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-hledger
/home/blc/.local/src/emacs-dbg/lisp/org/ox-texinfo hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-texinfo
/home/blc/.local/src/emacs-dbg/lisp/org/ox-man hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-man
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ditaa hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ditaa
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ruby hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ruby
/home/blc/.local/src/emacs-dbg/lisp/org/ob-asymptote hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-asymptote
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ledger hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ledger
/home/blc/.local/src/emacs-dbg/lisp/org/ox-html hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-html
/home/blc/.local/src/emacs-dbg/lisp/org/org-archive hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-archive
/home/blc/.local/src/emacs-dbg/lisp/org/ox-odt hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-odt
/home/blc/.local/src/emacs-dbg/lisp/org/org-pcomplete hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-pcomplete
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sed hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sed
/home/blc/.local/src/emacs-dbg/lisp/org/ol-gnus hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-gnus
/home/blc/.local/src/emacs-dbg/lisp/org/org-macs hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-macs
/home/blc/.local/src/emacs-dbg/lisp/org/ob-screen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-screen
/home/blc/.local/src/emacs-dbg/lisp/org/org-ctags hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-ctags
/home/blc/.local/src/emacs-dbg/lisp/org/org-entities hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-entities
/home/blc/.local/src/emacs-dbg/lisp/org/org-indent hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-indent
/home/blc/.local/src/emacs-dbg/lisp/org/ob-js hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-js
/home/blc/.local/src/emacs-dbg/lisp/org/ox-latex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-latex
/home/blc/.local/src/emacs-dbg/lisp/org/ol-eshell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-eshell
/home/blc/.local/src/emacs-dbg/lisp/org/ox hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox
/home/blc/.local/src/emacs-dbg/lisp/org/ob-table hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-table
/home/blc/.local/src/emacs-dbg/lisp/org/ob-java hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-java
/home/blc/.local/src/emacs-dbg/lisp/org/org-colview hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-colview
/home/blc/.local/src/emacs-dbg/lisp/org/ob-calc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-calc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sass hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sass
/home/blc/.local/src/emacs-dbg/lisp/org/org-mouse hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-mouse
/home/blc/.local/src/emacs-dbg/lisp/org/ol-docview hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-docview
/home/blc/.local/src/emacs-dbg/lisp/org/org-lint hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-lint
/home/blc/.local/src/emacs-dbg/lisp/org/org-goto hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-goto
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lisp
/home/blc/.local/src/emacs-dbg/lisp/org/ol hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol
/home/blc/.local/src/emacs-dbg/lisp/org/ol-eww hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-eww
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lua hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lua
/home/blc/.local/src/emacs-dbg/lisp/org/org-id hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-id
/home/blc/.local/src/emacs-dbg/lisp/org/ox-beamer hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-beamer
/home/blc/.local/src/emacs-dbg/lisp/org/org-attach hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-attach
/home/blc/.local/src/emacs-dbg/lisp/org/ol-irc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-irc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lilypond hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lilypond
/home/blc/.local/src/emacs-dbg/lisp/org/ob-core hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-core
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ref hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ref
/home/blc/.local/src/emacs-dbg/lisp/org/ox-ascii hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-ascii
/home/blc/.local/src/emacs-dbg/lisp/org/org-list hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-list
/home/blc/.local/src/emacs-dbg/lisp/org/org-mobile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-mobile
/home/blc/.local/src/emacs-dbg/lisp/org/ob-perl hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-perl
/home/blc/.local/src/emacs-dbg/lisp/org/org-refile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-refile
/home/blc/.local/src/emacs-dbg/lisp/org/org-faces hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-faces
/home/blc/.local/src/emacs-dbg/lisp/org/ob-processing hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-processing
/home/blc/.local/src/emacs-dbg/lisp/org/ob-picolisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-picolisp
/home/blc/.local/src/emacs-dbg/lisp/org/ob-awk hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-awk
/home/blc/.local/src/emacs-dbg/lisp/org/ob-vala hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-vala
/home/blc/.local/src/emacs-dbg/lisp/org/ob-octave hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-octave
/home/blc/.local/src/emacs-dbg/lisp/org/ob-maxima hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-maxima
/home/blc/.local/src/emacs-dbg/lisp/org/org-duration hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-duration
/home/blc/.local/src/emacs-dbg/lisp/org/ob-forth hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-forth
/home/blc/.local/src/emacs-dbg/lisp/org/org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org
/home/blc/.local/src/emacs-dbg/lisp/org/org-tempo hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-tempo
/home/blc/.local/src/emacs-dbg/lisp/org/ox-publish hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-publish
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sql hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sql
/home/blc/.local/src/emacs-dbg/lisp/org/ob-latex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-latex
/home/blc/.local/src/emacs-dbg/lisp/org/org-feed hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-feed
/home/blc/.local/src/emacs-dbg/lisp/org/org-loaddefs hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-loaddefs
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sqlite hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sqlite
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lob hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lob
/home/blc/.local/src/emacs-dbg/lisp/org/ob-C hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-C
/home/blc/.local/src/emacs-dbg/lisp/org/org-timer hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-timer
/home/blc/.local/src/emacs-dbg/lisp/org/ob-comint hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-comint
/home/blc/.emacs.d/elpa/org-contrib-0.1.0.20210610.153732/ox-koma-letter hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-koma-letter
/home/blc/.local/src/emacs-dbg/lisp/org/ob-css hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-css
/home/blc/.emacs.d/lisp/swiper hides /home/blc/.emacs.d/elpa/swiper-0.13.4.0.20210521.132146/swiper
/home/blc/.emacs.d/lisp/colir hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/colir
/home/blc/.emacs.d/lisp/ivy-faces hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy-faces
/home/blc/.emacs.d/lisp/ivy-overlay hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy-overlay
/home/blc/.emacs.d/lisp/ivy hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy
/home/blc/.emacs.d/lisp/dash hides /home/blc/.emacs.d/elpa/dash-2.19.1.0.20210826.114923/dash
/home/blc/.emacs.d/elpa/transient-0.3.6.0.20210819.211812/transient hides /home/blc/.local/src/emacs-dbg/lisp/transient

Features:
(shadow sort footnote mail-extr gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum shr kinsoku svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 netrc
nnoo parse-time iso8601 gnus-spec gnus-int gnus-range gnus-win gnus
nnheader wid-edit emacsbug message rmc puny rfc822 mml mml-sec epa
derived epg rfc6068 epg-config gnus-util rmail rmail-loaddefs time-date
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils thingatpt counsel xref project git-annex advice rx dired-x
deb-view dired dired-loaddefs compile text-property-search comint
ansi-color swiper cl-extra help-mode mb-depth ivy ring ivy-faces
ivy-overlay colir color vc-git diff-mode easy-mmode vc vc-dispatcher
bug-reference edmacro kmacro whitespace time cap-words superword subword
so-long paren-face paren highlight-escape-sequences delsel delight
modus-operandi-theme modus-themes pcase format-spec battery dbus xml xdg
blc-pkg finder-inf info tex-site debian-el sly-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x url-vars cl-loaddefs cl-lib blc-lib map seq
byte-opt gv bytecomp byte-compile cconv iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 403751 62245)
 (symbols 48 27937 12)
 (strings 32 116179 9154)
 (string-bytes 1 3506695)
 (vectors 16 39922)
 (vector-slots 8 469718 40842)
 (floats 8 333 153)
 (intervals 56 313 72)
 (buffers 992 10))

--=-=-=--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: bug#50571: Acknowledgement (28.0.50; Redisplay segfaults with
 empty face cache)
Message-ID: <handler.50571.B.16315451863576.ack <at> debbugs.gnu.org>
References: <87ilz4msha.fsf@HIDDEN>
X-Gnu-PR-Message: ack 50571
X-Gnu-PR-Package: emacs
Reply-To: 50571 <at> debbugs.gnu.org
Date: Mon, 13 Sep 2021 15:00:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 50571 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50571: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50571
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 13 Sep 2021 16:04:01 +0000
Resent-Message-ID: <handler.50571.B50571.163154902210239 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Cc: 50571 <at> debbugs.gnu.org
Received: via spool by 50571-submit <at> debbugs.gnu.org id=B50571.163154902210239
          (code B ref 50571); Mon, 13 Sep 2021 16:04:01 +0000
Received: (at 50571) by debbugs.gnu.org; 13 Sep 2021 16:03:42 +0000
Received: from localhost ([127.0.0.1]:46682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPoQo-0002f4-8B
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 12:03:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mPoQj-0002em-QX
 for 50571 <at> debbugs.gnu.org; Mon, 13 Sep 2021 12:03:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43208)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mPoQe-0002OH-3D; Mon, 13 Sep 2021 12:03:32 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3871
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mPoQc-0006Pg-Oz; Mon, 13 Sep 2021 12:03:32 -0400
Date: Mon, 13 Sep 2021 19:03:21 +0300
Message-Id: <831r5sea46.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87ilz4msha.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
References: <87ilz4msha.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 13 Sep 2021 15:59:29 +0100
> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> I can reliably cause Emacs to segfault with my current config and
> installed packages with the following steps specific to my system:
> 
> 0. C-x p p (project-switch-project)
> 1. Select a checkout of https://github.com/kyleam/bog,
>    using Ivy completion.
> 2. m (magit-project-status)

Thanks.  I'd prefer not to install two huge packages, so would you
please help me understand better what's going on in this recipe?

Here's what puzzles me:

> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:400
> #1  0x00005555557d4f5f in die
>     (msg=0x55555592d2e8 "0 <= id && id < FRAME_FACE_CACHE (f)->used", file=0x55555592d2da "frame.h", line=1433) at alloc.c:7479
> #2  0x00005555556c89f1 in FACE_FROM_ID (f=0x5555562070b0, id=0) at frame.h:1433
> #3  0x00005555556d9e57 in face_at_buffer_position
>     (w=0x555556207318, pos=1, endptr=0x7fffffff7f70, limit=101, mouse=false, base_face_id=0, attr_filter=0) at xfaces.c:6425
> #4  0x00005555555d41d0 in face_at_pos (it=0x7fffffff8170, attr_filter=0) at xdisp.c:4379
> #5  0x00005555555d44cd in handle_face_prop (it=0x7fffffff8170) at xdisp.c:4480
> #6  0x00005555555d2977 in handle_stop (it=0x7fffffff8170) at xdisp.c:3854
> #7  0x00005555555dd96a in reseat (it=0x7fffffff8170, pos=..., force_p=true) at xdisp.c:7112
> #8  0x00005555555d1abb in init_iterator
>     (it=0x7fffffff8170, w=0x555556207318, charpos=1, bytepos=1, row=0x555557419f80, base_face_id=DEFAULT_FACE_ID) at xdisp.c:3455

init_iterator makes sure the frame's face cache includes all the basic
faces, around line 3220 of xdisp.c:

  /* If realized faces have been removed, e.g. because of face
     attribute changes of named faces, recompute them.  When running
     in batch mode, the face cache of the initial frame is null.  If
     we happen to get called, make a dummy face cache.  */
  if (FRAME_FACE_CACHE (it->f) == NULL)
    init_frame_faces (it->f);
  if (FRAME_FACE_CACHE (it->f)->used == 0)
    recompute_basic_faces (it->f);

The backtrace you sent starts at line 3455 of xdisp.c.  So somewhere
between these two places, or maybe inside reseat and the functions it
calls, the frame's face cache gets cleared.  Can you please put a
watchpoint on it->f->face_cache->used, after the above snippet makes
sure the cache is valid and the basic faces are cached in it, and see
where the cache gets cleared?  Be sure to use the -l (ell) switch of
the "watch" command in GDB, so it's valid even when you are not in the
lexical scope of init_iterator.

When the watchpoint breaks, please show both the C backtrace and the
Lisp backtrace (using the "xbacktrace" command if needed).

I hope this will tell us enough to understand whodunit.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: "Basil L. Contovounesios" <contovob@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 13 Sep 2021 23:22:01 +0000
Resent-Message-ID: <handler.50571.B50571.163157529018286 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 50571 <at> debbugs.gnu.org
Received: via spool by 50571-submit <at> debbugs.gnu.org id=B50571.163157529018286
          (code B ref 50571); Mon, 13 Sep 2021 23:22:01 +0000
Received: (at 50571) by debbugs.gnu.org; 13 Sep 2021 23:21:30 +0000
Received: from localhost ([127.0.0.1]:47050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPvGT-0004kr-Tr
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 19:21:30 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:40581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mPvGR-0004ke-E8
 for 50571 <at> debbugs.gnu.org; Mon, 13 Sep 2021 19:21:28 -0400
Received: by mail-wm1-f51.google.com with SMTP id
 b21-20020a1c8015000000b003049690d882so529246wmd.5
 for <50571 <at> debbugs.gnu.org>; Mon, 13 Sep 2021 16:21:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=58iAIdEzKjamq3sPOPXKFazMnMTtw8bbxOJAWIJdCXE=;
 b=V+KYz3UGGaZE9zesQIJlicgd9fTG5lEIH1t6mo2xm4sgLKFbrpMz+WffPzN8GVLmgF
 ffesVGv7tNsAD3t2ncygB/Cc5fZcEPoO/fMmYj6UxBIhWmyTvz2pbDAUx4djmAmFfaDT
 z97YmbcjpYqvDQXDzXlinUF0SqO86Ym+sZeV9+Vrg34Zlx0xLqj4goT5cfLNIrP6n4nR
 w/GFh94ItGSrllA4ml+wINfaEQ++yQEvcwtVAg9vDMm4ScP/+4Ekg+Kymg6WabmW3dzu
 kzee7r3XtVCNrSM7G2MdWsiLXgFyoZIPooQFM+DRA9LHZviDWxWTJAPvmWMk+eK7xMvI
 cZLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=58iAIdEzKjamq3sPOPXKFazMnMTtw8bbxOJAWIJdCXE=;
 b=1A9cKI+GCGQ2V0v3tCxBxEfYYyyP6C8rMUHzmU4VtI3nPnFrDkh++c5JIDwV9nxm8f
 MqW6T0ZFNkOnwWtXKF4wikJPmtf8cTBKc/77WYlEEzqjktliQPM7Uet3TxMi9heJokUa
 q85RTf9UdD6VqcmvSkWtHaxJMakFk2g8PcAhaG82XKvA4Dje+2KZIgNi1MteXt50XS47
 seBgT+Pc3OQf6+aZF8EXLvBIvbBTJeRSzhMj6xSipi6j9xvBa8IyMCdo9KdFJFCqZSzz
 WMeievgPaHtM5Xct66DXFp19VxmgIOTJDFHi3zpMWZOjSr9H/BBFTNQgBovZMwO0t1a1
 hVLQ==
X-Gm-Message-State: AOAM532pJLlzSD/ELHNQDUhqBHKfPTQdPMhPR9OwJbiCmFGyZoU5UfBI
 gjS+vCn/8P+A1uNcpiSF+bNRBg==
X-Google-Smtp-Source: ABdhPJxBZ+PAvkN2rormGK3msdxuNrDmCNFTU3h7pL6/5CzSNhkb4B+eRCSzf26qG9vhJO/JydbNsQ==
X-Received: by 2002:a1c:7906:: with SMTP id l6mr5402422wme.78.1631575280578;
 Mon, 13 Sep 2021 16:21:20 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id p21sm4754015wmi.30.2021.09.13.16.21.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Sep 2021 16:21:19 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
Date: Tue, 14 Sep 2021 00:21:17 +0100
In-Reply-To: <831r5sea46.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 13 Sep
 2021 19:03:21 +0300")
Message-ID: <87a6kggiz6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii [2021-09-13 19:03 +0300] wrote:

>> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:400
>> #1  0x00005555557d4f5f in die
>>     (msg=0x55555592d2e8 "0 <= id && id < FRAME_FACE_CACHE (f)->used",
>> file=0x55555592d2da "frame.h", line=1433) at alloc.c:7479
>> #2  0x00005555556c89f1 in FACE_FROM_ID (f=0x5555562070b0, id=0) at frame.h:1433
>> #3  0x00005555556d9e57 in face_at_buffer_position
>>     (w=0x555556207318, pos=1, endptr=0x7fffffff7f70, limit=101, mouse=false,
>> base_face_id=0, attr_filter=0) at xfaces.c:6425
>> #4  0x00005555555d41d0 in face_at_pos (it=0x7fffffff8170, attr_filter=0) at xdisp.c:4379
>> #5  0x00005555555d44cd in handle_face_prop (it=0x7fffffff8170) at xdisp.c:4480
>> #6  0x00005555555d2977 in handle_stop (it=0x7fffffff8170) at xdisp.c:3854
>> #7  0x00005555555dd96a in reseat (it=0x7fffffff8170, pos=..., force_p=true) at xdisp.c:7112
>> #8  0x00005555555d1abb in init_iterator
>>     (it=0x7fffffff8170, w=0x555556207318, charpos=1, bytepos=1,
>> row=0x555557419f80, base_face_id=DEFAULT_FACE_ID) at xdisp.c:3455
>
> init_iterator makes sure the frame's face cache includes all the basic
> faces, around line 3220 of xdisp.c:
>
>   /* If realized faces have been removed, e.g. because of face
>      attribute changes of named faces, recompute them.  When running
>      in batch mode, the face cache of the initial frame is null.  If
>      we happen to get called, make a dummy face cache.  */
>   if (FRAME_FACE_CACHE (it->f) == NULL)
>     init_frame_faces (it->f);
>   if (FRAME_FACE_CACHE (it->f)->used == 0)
>     recompute_basic_faces (it->f);
>
> The backtrace you sent starts at line 3455 of xdisp.c.  So somewhere
> between these two places, or maybe inside reseat and the functions it
> calls, the frame's face cache gets cleared.  Can you please put a
> watchpoint on it->f->face_cache->used, after the above snippet makes
> sure the cache is valid and the basic faces are cached in it, and see
> where the cache gets cleared?  Be sure to use the -l (ell) switch of
> the "watch" command in GDB, so it's valid even when you are not in the
> lexical scope of init_iterator.
>
> When the watchpoint breaks, please show both the C backtrace and the
> Lisp backtrace (using the "xbacktrace" command if needed).

For some reason, if I set a watch- or break-point with a condition that
involves untagging a structure, e.g. XFRAME or XSTRING, GDB gives me
something like the following:

  Error in testing breakpoint condition:                                                                                            
  Couldn't get registers: No such process.                                                                                          
  An error occurred while in a function called from GDB.                                                                            
  Evaluation of the expression containing the function                                                                              
  (SDATA) will be abandoned.                                                                                                        
  When the function is done executing, GDB will silently stop.                                                                      
  Selected thread is running.

Where SDATA may also be XFRAME/XSTRING depending on the condition.  Not
sure what that's about.

In any case, I was able to manually continue execution until
init_iterator was dealing with the desired frame.  If you know of a way
to streamline this, please let me know.

Note that, at the time that I issue 'bt full' in the attached log, the
single visible *scratch* frame has the following in the echo area:

  Error during bug-reference-auto-setup: (no-catch sucess t)

So there's an uncaught signal (presumably due to a typo) in the mix too.

Thanks,

-- 
Basil


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=gdb-watch.txt.gz
Content-Transfer-Encoding: base64
Content-Description: GDB log
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--=-=-=--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 14 Sep 2021 13:04:01 +0000
Resent-Message-ID: <handler.50571.B50571.16316245998933 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Cc: 50571 <at> debbugs.gnu.org
Received: via spool by 50571-submit <at> debbugs.gnu.org id=B50571.16316245998933
          (code B ref 50571); Tue, 14 Sep 2021 13:04:01 +0000
Received: (at 50571) by debbugs.gnu.org; 14 Sep 2021 13:03:19 +0000
Received: from localhost ([127.0.0.1]:47950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ85m-0002Jv-V0
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:03:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mQ85k-0002HE-Sl
 for 50571 <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:03:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52120)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mQ85e-0000cA-6H; Tue, 14 Sep 2021 09:03:10 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1482
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mQ85d-0000T3-0U; Tue, 14 Sep 2021 09:03:09 -0400
Date: Tue, 14 Sep 2021 16:03:02 +0300
Message-Id: <83bl4vcnsp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87a6kggiz6.fsf@HIDDEN> (contovob@HIDDEN)
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
 <87a6kggiz6.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: 50571 <at> debbugs.gnu.org
> Date: Tue, 14 Sep 2021 00:21:17 +0100
> 
> In any case, I was able to manually continue execution until
> init_iterator was dealing with the desired frame.  If you know of a way
> to streamline this, please let me know.

I usually define the watchpoint only when I'm in the right
frame/window.

> Note that, at the time that I issue 'bt full' in the attached log, the
> single visible *scratch* frame has the following in the echo area:
> 
>   Error during bug-reference-auto-setup: (no-catch sucess t)
> 
> So there's an uncaught signal (presumably due to a typo) in the mix too.

Thanks, I see the reason now.  It's because we allow to have arbitrary
Lisp to be registered in jit-lock-functions, and then that arbitrary
Lisp is called in the middle of redisplay, and in this case creates a
whole new frame with faces.  As luck would have it, we decide right
there and then perform routine maintenance and release all the faces
on all the frames...

I'm thinking about the best solution for this.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 14 Sep 2021 13:34:02 +0000
Resent-Message-ID: <handler.50571.B50571.163162643812694 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: contovob@HIDDEN
Cc: 50571 <at> debbugs.gnu.org
Received: via spool by 50571-submit <at> debbugs.gnu.org id=B50571.163162643812694
          (code B ref 50571); Tue, 14 Sep 2021 13:34:02 +0000
Received: (at 50571) by debbugs.gnu.org; 14 Sep 2021 13:33:58 +0000
Received: from localhost ([127.0.0.1]:48024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ8ZS-0003Ig-FP
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:33:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mQ8ZQ-0003IT-0m
 for 50571 <at> debbugs.gnu.org; Tue, 14 Sep 2021 09:33:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53432)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mQ8ZK-0003vT-DG; Tue, 14 Sep 2021 09:33:50 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3356
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mQ8ZJ-0007Ku-EH; Tue, 14 Sep 2021 09:33:49 -0400
Date: Tue, 14 Sep 2021 16:33:43 +0300
Message-Id: <83a6kfcmdk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83bl4vcnsp.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 14
 Sep 2021 16:03:02 +0300)
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
 <87a6kggiz6.fsf@HIDDEN> <83bl4vcnsp.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 14 Sep 2021 16:03:02 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 50571 <at> debbugs.gnu.org
> 
> Thanks, I see the reason now.  It's because we allow to have arbitrary
> Lisp to be registered in jit-lock-functions, and then that arbitrary
> Lisp is called in the middle of redisplay, and in this case creates a
> whole new frame with faces.  As luck would have it, we decide right
> there and then perform routine maintenance and release all the faces
> on all the frames...
> 
> I'm thinking about the best solution for this.

Does the patch below give good results?

diff --git a/src/frame.h b/src/frame.h
index a8ad011..3dd7680 100644
--- a/src/frame.h
+++ b/src/frame.h
@@ -449,8 +449,8 @@ #define EMACS_FRAME_H
   /* Non-zero if this frame's faces need to be recomputed.  */
   bool_bf face_change : 1;
 
-  /* Non-zero if this frame's image cache cannot be freed because the
-     frame is in the process of being redisplayed.  */
+  /* Non-zero if this frame's image cache and face cache cannot be
+     freed because the frame is in the process of being redisplayed.  */
   bool_bf inhibit_clear_image_cache : 1;
 
   /* True when new_width or new_height were set by change_frame_size,
diff --git a/src/xdisp.c b/src/xdisp.c
index d30a685..2e72f6b 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -16061,12 +16061,13 @@ #define AINC(a,i)							\
 	      if (FRAME_VISIBLE_P (f) && !FRAME_OBSCURED_P (f))
 		{
 
-		  /* Don't allow freeing images for this frame as long
-		     as the frame's update wasn't completed.  This
-		     prevents crashes when some Lisp that runs from
-		     the various hooks or font-lock decides to clear
-		     the frame's image cache, when the images in that
-		     cache are referenced by the desired matrix.  */
+		  /* Don't allow freeing images and faces for this
+		     frame as long as the frame's update wasn't
+		     completed.  This prevents crashes when some Lisp
+		     that runs from the various hooks or font-lock
+		     decides to clear the frame's image cache and face
+		     cache, when the images and faces in those caches
+		     are referenced by the desired matrix.  */
 		  f->inhibit_clear_image_cache = true;
 		  redisplay_windows (FRAME_ROOT_WINDOW (f));
 		}
diff --git a/src/xfaces.c b/src/xfaces.c
index 2273fb4..aefed54 100644
--- a/src/xfaces.c
+++ b/src/xfaces.c
@@ -674,7 +674,8 @@ clear_face_cache (bool clear_fonts_p)
 	{
 	  struct frame *f = XFRAME (frame);
 	  if (FRAME_WINDOW_P (f)
-	      && FRAME_DISPLAY_INFO (f)->n_fonts > CLEAR_FONT_TABLE_NFONTS)
+	      && FRAME_DISPLAY_INFO (f)->n_fonts > CLEAR_FONT_TABLE_NFONTS
+	      && !f->inhibit_clear_image_cache)
 	    {
 	      clear_font_cache (f);
 	      free_all_realized_faces (frame);




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: "Basil L. Contovounesios" <contovob@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 14 Sep 2021 19:46:01 +0000
Resent-Message-ID: <handler.50571.B50571.16316487292789 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 50571 <at> debbugs.gnu.org
Received: via spool by 50571-submit <at> debbugs.gnu.org id=B50571.16316487292789
          (code B ref 50571); Tue, 14 Sep 2021 19:46:01 +0000
Received: (at 50571) by debbugs.gnu.org; 14 Sep 2021 19:45:29 +0000
Received: from localhost ([127.0.0.1]:50229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQEMy-0000iv-Tp
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 15:45:29 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:36658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mQEMw-0000ih-JT
 for 50571 <at> debbugs.gnu.org; Tue, 14 Sep 2021 15:45:28 -0400
Received: by mail-wr1-f44.google.com with SMTP id g16so101715wrb.3
 for <50571 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 12:45:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=lRLBGJUC8FN5tK3onyWVBwIwnBUQUeXVjJC35rxvnJs=;
 b=KfZ06Y9vwy8beqzaIo+tGATn26g6qGLProIxThfY/sZitX/kSdbgLb2ZDsnoCxMMEL
 yfDMPXJfcvO2o3p+IPvs/dqNQCUmXoaG9Icd8Egu0+twyNjj0bZUid8zZkCvAFjrRyiT
 s9GyLX70sr07idhu2J3Z2Dv6DgfqLRz4hdrk1j5dk2OKqO3XR/2P7B9w0hwH3ODpEite
 OKrmQOYZUPuvKQswvl/+W2M+Oy5qQ3xcjNv2BMl/mCzqoyG3/1sFhWuN+qe3niDEWOFl
 1+VHysnE95gutFx1k4nzNVrrxXQB7Z8XTEpLrSR6V5E6BJi8MBUrYuuDiQWmKM2gx4T/
 JEMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=lRLBGJUC8FN5tK3onyWVBwIwnBUQUeXVjJC35rxvnJs=;
 b=FZ1r7GzJGqgJSz2q48J1NpVMe12PGw4GHUsIAJcOp9NV6rceuQipU3F5dOeG7gAyWL
 tRVNuGicmwsMnuta1ZPuOTUR8o8oZrptKS37WbVLTpvFA40jTtXPmcTmx0slMs6hYddK
 dMeVRXRcBO9GjvuT9L22Dc9p8oa7sDMbapcT6MxtexPl2viLSjbbvTjHkD7TN7phYthc
 fsg09aSxCfx+6tqkn+/wumeWpVw5H6KShJjiHUKXXI8CqQjIBJBo65DQAuNY30ueGMVe
 svQVI3Dw6feKYCSSIxgKhkbN0a95TFpzDYJ0C1TZcEnIOLn4Rafka07AyWmS2hz9GAGp
 zRLQ==
X-Gm-Message-State: AOAM531A+KcY0oTlP7iqkygjjMmb/Ye9Yk1OFD7/TPU4HjIdRfkrRPnb
 ISNAUyVLYbAjOKzuUESqDeMSrQ==
X-Google-Smtp-Source: ABdhPJy1KaaFuk23oVJrHY1jMVOZepMitphH2w6lzRzOcDz12hjQBMAoG8qqSTnKxBlhdx8LR9KKXw==
X-Received: by 2002:adf:eb02:: with SMTP id s2mr933040wrn.294.1631648720627;
 Tue, 14 Sep 2021 12:45:20 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:f410:82e8:3a21:eedf])
 by smtp.gmail.com with ESMTPSA id u25sm2044854wmj.10.2021.09.14.12.45.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 12:45:19 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
 <87a6kggiz6.fsf@HIDDEN> <83bl4vcnsp.fsf@HIDDEN>
 <83a6kfcmdk.fsf@HIDDEN>
Date: Tue, 14 Sep 2021 20:45:18 +0100
In-Reply-To: <83a6kfcmdk.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 14 Sep
 2021 16:33:43 +0300")
Message-ID: <87y27zuek1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii [2021-09-14 16:33 +0300] wrote:

>> Date: Tue, 14 Sep 2021 16:03:02 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: 50571 <at> debbugs.gnu.org
>> 
>> Thanks, I see the reason now.  It's because we allow to have arbitrary
>> Lisp to be registered in jit-lock-functions, and then that arbitrary
>> Lisp is called in the middle of redisplay, and in this case creates a
>> whole new frame with faces.  As luck would have it, we decide right
>> there and then perform routine maintenance and release all the faces
>> on all the frames...
>> 
>> I'm thinking about the best solution for this.
>
> Does the patch below give good results?

Yes, applying it makes the issue go away, and reverting it reintroduces
the segfault.  I didn't notice any other issues.  Thanks!

-- 
Basil




Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: bug#50571: closed (28.0.50; Redisplay segfaults with empty face
 cache)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.50571.D50571.163171182115063.ackdone <at> debbugs.gnu.org>
References: <83o88uashy.fsf@HIDDEN> <87ilz4msha.fsf@HIDDEN>
X-Gnu-PR-Message: closed 50571
X-Gnu-PR-Package: emacs
Date: Wed, 15 Sep 2021 13:17:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1631711822-15074-0"

This is a multi-part message in MIME format...

------------=_1631711822-15074-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Wed, 15 Sep 2021 16:16:41 +0300
with message-id <83o88uashy.fsf@HIDDEN>
and subject line Re: bug#50571: 28.0.50; Redisplay segfaults with empty fac=
e cache
has caused the debbugs.gnu.org bug report #50571,
regarding 28.0.50; Redisplay segfaults with empty face cache
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
50571: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50571
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1631711822-15074-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 14:59:46 +0000
Received: from localhost ([127.0.0.1]:46579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPnQu-0000vb-Ql
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:59:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:44684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mPnQr-0000vS-Pm
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:59:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1mPnQr-0005dr-Gg
 for bug-gnu-emacs@HIDDEN; Mon, 13 Sep 2021 10:59:41 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:38798)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1mPnQm-0006N2-P7
 for bug-gnu-emacs@HIDDEN; Mon, 13 Sep 2021 10:59:40 -0400
Received: by mail-wr1-x42d.google.com with SMTP id u16so15188597wrn.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 13 Sep 2021 07:59:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=DEoJE07z8N9Zbyf2n9Ef/gtVMbuwqtJ0o7bnr4iiRec=;
 b=dntB3+7tjnUn3wym5uE8PXt3gRVa8Fr7+WbGswR5YLNymOGRMyPJC5TqY0xjdm4f/n
 eIZzdk9LtcE0hg5hZ1aKsnAe+DmUJrKkKIdVQ+AtnG0NlZuZ2CNBOVTKr8crvSK4Anaz
 IsNO7ld/X6J+Tw4bXKh7DzD7xJSlrCTym8W5/DZ6GABOhWvVlK95z0NgFvPAisFPcXrk
 V0y5xFjb9W6YhhGnjH8xBmNX3mk1PXwGH9bMdmCfTzn/ha4CmMMQLlAZrc+Q5ROD+ap/
 UQhUg6Rmq+lePr/JxTh4tU27lFU4SCrqcbLTJaEUi9uWLDehREtsf3uw2NvGCEGz26S+
 AOWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=DEoJE07z8N9Zbyf2n9Ef/gtVMbuwqtJ0o7bnr4iiRec=;
 b=tCx7qOIYD4b/DwYWNSU2DKAYrq7M+0KXd4eUHzo7uIAvMoHK4jxbRZrIwJt9zN9p4m
 Npm9ziZxnuykEOoM7IAResc56wDt+R7kw86UYQBddC+lhiMhAIIpR1t+dm2e4nrEkyNf
 D374KXbiDh62iBc1Q2xH+7j3OHt3vAl+g7A1IR8XABJxo4q/plbPPkoCrA+1RyKT2DZq
 Y4gNWuiIG/aUKNeWNs/MVIrhm4Z9vmk638oq1LJV0czb4uivS41geK7FH3JnbT4HVmCI
 UUGpGJPHjrFR2LIT7fx2tvGTXoQ6SKKnf+TR3e8io4ZQO3hIdgERg9L47pEfc16NbvD2
 cCMQ==
X-Gm-Message-State: AOAM532Q3TSuAR8xipYAEcUm0NInyOTHkMr5tfU/7qmwmsOoPBdGkCi8
 1SsQqx+SYP+lc+zWJH3sPuUfXC0hLtorwA==
X-Google-Smtp-Source: ABdhPJxxKzCC/Lu5BjMQdCwEs7dC5PIEUImwCrraIpwjhfIYdW/gOxVRLylzdBbCWZ6qrQEu0qADkA==
X-Received: by 2002:adf:ec4b:: with SMTP id w11mr7525598wrn.389.1631545172556; 
 Mon, 13 Sep 2021 07:59:32 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id o10sm8534792wrc.16.2021.09.13.07.59.30
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Sep 2021 07:59:31 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Redisplay segfaults with empty face cache
Date: Mon, 13 Sep 2021 15:59:29 +0100
Message-ID: <87ilz4msha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::42d;
 envelope-from=contovob@HIDDEN; helo=mail-wr1-x42d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

I can reliably cause Emacs to segfault with my current config and
installed packages with the following steps specific to my system:

0. C-x p p (project-switch-project)
1. Select a checkout of https://github.com/kyleam/bog,
   using Ivy completion.
2. m (magit-project-status)

This tries to pop up a new frame (I have pop-up-frames non-nil) with
some recently introduced warning about bug-reference-bug-regexp.  I know
this is what it tries to do only because Emacs didn't segfault the first
time it happened, whereas now the segfault happens every time, before I
get a chance to read the warning.

I think there was some work on Magit recently relating to
bug-reference-mode, but I haven't updated my packages in a few days, so
it is possible that the warning has already been fixed upstream.  I will
therefore hold off on updating my packages until this segfault is fixed.

The attached GDB log for this session shows that the assertion that the
face cache (of the frame displaying Magit) is nonempty is tripped.

I have to run now, but I'll keep GDB running, and I'd be grateful for
help debugging this.

Thanks,

-- 
Basil


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=gdb-face-cache.txt.gz
Content-Transfer-Encoding: base64
Content-Description: GDB log
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--=-=-=
Content-Type: text/plain


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2021-09-13 built on tia
Repository revision: 7fe88446c30279285e3171091189b3d1af697c05
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure 'CC=ccache gcc' 'CFLAGS=-O0 -ggdb3' --config-cache
 --prefix=/home/blc/.local --program-suffix=-dbg
 --enable-checking=yes,glyphs --enable-check-lisp-object-type
 --with-x-toolkit=lucid --with-file-notification=yes --with-x'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  minibuffer-depth-indicate-mode: t
  bug-reference-prog-mode: t
  global-whitespace-mode: t
  display-time-mode: t
  global-subword-mode: t
  subword-mode: t
  global-so-long-mode: t
  global-paren-face-mode: t
  paren-face-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  display-battery-mode: t
  blc-rainbow-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t

Load-path shadows:
/home/blc/.emacs.d/lisp/counsel hides /home/blc/.emacs.d/elpa/counsel-0.13.4.0.20210819.150009/counsel
/home/blc/.emacs.d/lisp/ivy-hydra hides /home/blc/.emacs.d/elpa/ivy-hydra-0.13.5.0.20210311.102431/ivy-hydra
/home/blc/.local/src/emacs-dbg/lisp/org/org-num hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-num
/home/blc/.local/src/emacs-dbg/lisp/org/ob-plantuml hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-plantuml
/home/blc/.local/src/emacs-dbg/lisp/org/ol-rmail hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-rmail
/home/blc/.local/src/emacs-dbg/lisp/org/ol-bibtex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-bibtex
/home/blc/.local/src/emacs-dbg/lisp/org/ob-python hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-python
/home/blc/.local/src/emacs-dbg/lisp/org/org-table hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-table
/home/blc/.local/src/emacs-dbg/lisp/org/ol-info hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-info
/home/blc/.local/src/emacs-dbg/lisp/org/ob-stan hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-stan
/home/blc/.local/src/emacs-dbg/lisp/org/ob-scheme hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-scheme
/home/blc/.local/src/emacs-dbg/lisp/org/org-macro hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-macro
/home/blc/.local/src/emacs-dbg/lisp/org/org-habit hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-habit
/home/blc/.local/src/emacs-dbg/lisp/org/ob-coq hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-coq
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ocaml hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ocaml
/home/blc/.local/src/emacs-dbg/lisp/org/ob-org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-org
/home/blc/.local/src/emacs-dbg/lisp/org/org-capture hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-capture
/home/blc/.local/src/emacs-dbg/lisp/org/ob-emacs-lisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-emacs-lisp
/home/blc/.local/src/emacs-dbg/lisp/org/org-attach-git hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-attach-git
/home/blc/.local/src/emacs-dbg/lisp/org/org-plot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-plot
/home/blc/.local/src/emacs-dbg/lisp/org/ob-exp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-exp
/home/blc/.local/src/emacs-dbg/lisp/org/org-crypt hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-crypt
/home/blc/.local/src/emacs-dbg/lisp/org/ob hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob
/home/blc/.local/src/emacs-dbg/lisp/org/ob-gnuplot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-gnuplot
/home/blc/.local/src/emacs-dbg/lisp/org/ob-tangle hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-tangle
/home/blc/.local/src/emacs-dbg/lisp/org/ob-io hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-io
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ebnf hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ebnf
/home/blc/.local/src/emacs-dbg/lisp/org/ob-haskell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-haskell
/home/blc/.local/src/emacs-dbg/lisp/org/ox-icalendar hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-icalendar
/home/blc/.local/src/emacs-dbg/lisp/org/ob-dot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-dot
/home/blc/.local/src/emacs-dbg/lisp/org/org-element hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-element
/home/blc/.local/src/emacs-dbg/lisp/org/ox-org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-org
/home/blc/.local/src/emacs-dbg/lisp/org/ob-makefile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-makefile
/home/blc/.local/src/emacs-dbg/lisp/org/ob-shell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-shell
/home/blc/.local/src/emacs-dbg/lisp/org/ob-mscgen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-mscgen
/home/blc/.local/src/emacs-dbg/lisp/org/ob-clojure hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-clojure
/home/blc/.local/src/emacs-dbg/lisp/org/org-protocol hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-protocol
/home/blc/.local/src/emacs-dbg/lisp/org/org-clock hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-clock
/home/blc/.local/src/emacs-dbg/lisp/org/ob-R hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-R
/home/blc/.local/src/emacs-dbg/lisp/org/ob-J hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-J
/home/blc/.local/src/emacs-dbg/lisp/org/org-compat hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-compat
/home/blc/.local/src/emacs-dbg/lisp/org/org-keys hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-keys
/home/blc/.local/src/emacs-dbg/lisp/org/org-inlinetask hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-inlinetask
/home/blc/.local/src/emacs-dbg/lisp/org/ol-w3m hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-w3m
/home/blc/.local/src/emacs-dbg/lisp/org/org-datetree hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-datetree
/home/blc/.local/src/emacs-dbg/lisp/org/ob-abc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-abc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-eval hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-eval
/home/blc/.local/src/emacs-dbg/lisp/org/org-version hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-version
/home/blc/.local/src/emacs-dbg/lisp/org/org-src hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-src
/home/blc/.local/src/emacs-dbg/lisp/org/org-agenda hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-agenda
/home/blc/.local/src/emacs-dbg/lisp/org/org-footnote hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-footnote
/home/blc/.local/src/emacs-dbg/lisp/org/ob-shen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-shen
/home/blc/.local/src/emacs-dbg/lisp/org/ob-groovy hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-groovy
/home/blc/.local/src/emacs-dbg/lisp/org/ob-eshell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-eshell
/home/blc/.local/src/emacs-dbg/lisp/org/ox-md hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-md
/home/blc/.local/src/emacs-dbg/lisp/org/ol-bbdb hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-bbdb
/home/blc/.local/src/emacs-dbg/lisp/org/ob-fortran hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-fortran
/home/blc/.local/src/emacs-dbg/lisp/org/ob-matlab hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-matlab
/home/blc/.local/src/emacs-dbg/lisp/org/ol-mhe hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-mhe
/home/blc/.local/src/emacs-dbg/lisp/org/ob-hledger hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-hledger
/home/blc/.local/src/emacs-dbg/lisp/org/ox-texinfo hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-texinfo
/home/blc/.local/src/emacs-dbg/lisp/org/ox-man hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-man
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ditaa hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ditaa
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ruby hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ruby
/home/blc/.local/src/emacs-dbg/lisp/org/ob-asymptote hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-asymptote
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ledger hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ledger
/home/blc/.local/src/emacs-dbg/lisp/org/ox-html hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-html
/home/blc/.local/src/emacs-dbg/lisp/org/org-archive hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-archive
/home/blc/.local/src/emacs-dbg/lisp/org/ox-odt hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-odt
/home/blc/.local/src/emacs-dbg/lisp/org/org-pcomplete hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-pcomplete
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sed hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sed
/home/blc/.local/src/emacs-dbg/lisp/org/ol-gnus hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-gnus
/home/blc/.local/src/emacs-dbg/lisp/org/org-macs hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-macs
/home/blc/.local/src/emacs-dbg/lisp/org/ob-screen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-screen
/home/blc/.local/src/emacs-dbg/lisp/org/org-ctags hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-ctags
/home/blc/.local/src/emacs-dbg/lisp/org/org-entities hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-entities
/home/blc/.local/src/emacs-dbg/lisp/org/org-indent hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-indent
/home/blc/.local/src/emacs-dbg/lisp/org/ob-js hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-js
/home/blc/.local/src/emacs-dbg/lisp/org/ox-latex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-latex
/home/blc/.local/src/emacs-dbg/lisp/org/ol-eshell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-eshell
/home/blc/.local/src/emacs-dbg/lisp/org/ox hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox
/home/blc/.local/src/emacs-dbg/lisp/org/ob-table hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-table
/home/blc/.local/src/emacs-dbg/lisp/org/ob-java hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-java
/home/blc/.local/src/emacs-dbg/lisp/org/org-colview hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-colview
/home/blc/.local/src/emacs-dbg/lisp/org/ob-calc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-calc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sass hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sass
/home/blc/.local/src/emacs-dbg/lisp/org/org-mouse hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-mouse
/home/blc/.local/src/emacs-dbg/lisp/org/ol-docview hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-docview
/home/blc/.local/src/emacs-dbg/lisp/org/org-lint hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-lint
/home/blc/.local/src/emacs-dbg/lisp/org/org-goto hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-goto
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lisp
/home/blc/.local/src/emacs-dbg/lisp/org/ol hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol
/home/blc/.local/src/emacs-dbg/lisp/org/ol-eww hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-eww
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lua hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lua
/home/blc/.local/src/emacs-dbg/lisp/org/org-id hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-id
/home/blc/.local/src/emacs-dbg/lisp/org/ox-beamer hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-beamer
/home/blc/.local/src/emacs-dbg/lisp/org/org-attach hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-attach
/home/blc/.local/src/emacs-dbg/lisp/org/ol-irc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-irc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lilypond hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lilypond
/home/blc/.local/src/emacs-dbg/lisp/org/ob-core hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-core
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ref hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ref
/home/blc/.local/src/emacs-dbg/lisp/org/ox-ascii hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-ascii
/home/blc/.local/src/emacs-dbg/lisp/org/org-list hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-list
/home/blc/.local/src/emacs-dbg/lisp/org/org-mobile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-mobile
/home/blc/.local/src/emacs-dbg/lisp/org/ob-perl hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-perl
/home/blc/.local/src/emacs-dbg/lisp/org/org-refile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-refile
/home/blc/.local/src/emacs-dbg/lisp/org/org-faces hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-faces
/home/blc/.local/src/emacs-dbg/lisp/org/ob-processing hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-processing
/home/blc/.local/src/emacs-dbg/lisp/org/ob-picolisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-picolisp
/home/blc/.local/src/emacs-dbg/lisp/org/ob-awk hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-awk
/home/blc/.local/src/emacs-dbg/lisp/org/ob-vala hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-vala
/home/blc/.local/src/emacs-dbg/lisp/org/ob-octave hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-octave
/home/blc/.local/src/emacs-dbg/lisp/org/ob-maxima hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-maxima
/home/blc/.local/src/emacs-dbg/lisp/org/org-duration hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-duration
/home/blc/.local/src/emacs-dbg/lisp/org/ob-forth hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-forth
/home/blc/.local/src/emacs-dbg/lisp/org/org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org
/home/blc/.local/src/emacs-dbg/lisp/org/org-tempo hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-tempo
/home/blc/.local/src/emacs-dbg/lisp/org/ox-publish hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-publish
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sql hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sql
/home/blc/.local/src/emacs-dbg/lisp/org/ob-latex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-latex
/home/blc/.local/src/emacs-dbg/lisp/org/org-feed hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-feed
/home/blc/.local/src/emacs-dbg/lisp/org/org-loaddefs hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-loaddefs
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sqlite hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sqlite
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lob hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lob
/home/blc/.local/src/emacs-dbg/lisp/org/ob-C hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-C
/home/blc/.local/src/emacs-dbg/lisp/org/org-timer hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-timer
/home/blc/.local/src/emacs-dbg/lisp/org/ob-comint hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-comint
/home/blc/.emacs.d/elpa/org-contrib-0.1.0.20210610.153732/ox-koma-letter hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-koma-letter
/home/blc/.local/src/emacs-dbg/lisp/org/ob-css hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-css
/home/blc/.emacs.d/lisp/swiper hides /home/blc/.emacs.d/elpa/swiper-0.13.4.0.20210521.132146/swiper
/home/blc/.emacs.d/lisp/colir hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/colir
/home/blc/.emacs.d/lisp/ivy-faces hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy-faces
/home/blc/.emacs.d/lisp/ivy-overlay hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy-overlay
/home/blc/.emacs.d/lisp/ivy hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy
/home/blc/.emacs.d/lisp/dash hides /home/blc/.emacs.d/elpa/dash-2.19.1.0.20210826.114923/dash
/home/blc/.emacs.d/elpa/transient-0.3.6.0.20210819.211812/transient hides /home/blc/.local/src/emacs-dbg/lisp/transient

Features:
(shadow sort footnote mail-extr gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum shr kinsoku svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 netrc
nnoo parse-time iso8601 gnus-spec gnus-int gnus-range gnus-win gnus
nnheader wid-edit emacsbug message rmc puny rfc822 mml mml-sec epa
derived epg rfc6068 epg-config gnus-util rmail rmail-loaddefs time-date
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils thingatpt counsel xref project git-annex advice rx dired-x
deb-view dired dired-loaddefs compile text-property-search comint
ansi-color swiper cl-extra help-mode mb-depth ivy ring ivy-faces
ivy-overlay colir color vc-git diff-mode easy-mmode vc vc-dispatcher
bug-reference edmacro kmacro whitespace time cap-words superword subword
so-long paren-face paren highlight-escape-sequences delsel delight
modus-operandi-theme modus-themes pcase format-spec battery dbus xml xdg
blc-pkg finder-inf info tex-site debian-el sly-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x url-vars cl-loaddefs cl-lib blc-lib map seq
byte-opt gv bytecomp byte-compile cconv iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 403751 62245)
 (symbols 48 27937 12)
 (strings 32 116179 9154)
 (string-bytes 1 3506695)
 (vectors 16 39922)
 (vector-slots 8 469718 40842)
 (floats 8 333 153)
 (intervals 56 313 72)
 (buffers 992 10))

--=-=-=--



------------=_1631711822-15074-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50571-done) by debbugs.gnu.org; 15 Sep 2021 13:17:01 +0000
Received: from localhost ([127.0.0.1]:51286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQUmb-0003ut-Ek
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 09:17:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mQUmV-0003uc-WE
 for 50571-done <at> debbugs.gnu.org; Wed, 15 Sep 2021 09:16:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34540)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mQUmP-0002zJ-QV; Wed, 15 Sep 2021 09:16:49 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4256
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mQUmP-0002fs-57; Wed, 15 Sep 2021 09:16:49 -0400
Date: Wed, 15 Sep 2021 16:16:41 +0300
Message-Id: <83o88uashy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87y27zuek1.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
 <87a6kggiz6.fsf@HIDDEN> <83bl4vcnsp.fsf@HIDDEN>
 <83a6kfcmdk.fsf@HIDDEN> <87y27zuek1.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50571-done
Cc: 50571-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: 50571 <at> debbugs.gnu.org
> Date: Tue, 14 Sep 2021 20:45:18 +0100
> 
> >> Thanks, I see the reason now.  It's because we allow to have arbitrary
> >> Lisp to be registered in jit-lock-functions, and then that arbitrary
> >> Lisp is called in the middle of redisplay, and in this case creates a
> >> whole new frame with faces.  As luck would have it, we decide right
> >> there and then perform routine maintenance and release all the faces
> >> on all the frames...
> >> 
> >> I'm thinking about the best solution for this.
> >
> > Does the patch below give good results?
> 
> Yes, applying it makes the issue go away, and reverting it reintroduces
> the segfault.  I didn't notice any other issues.  Thanks!

Thanks, I've now installed these changes, and I'm therefore closing
the bug.


------------=_1631711822-15074-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: bug#50571: closed (Re: bug#50571: 28.0.50; Redisplay segfaults
 with empty face cache)
Message-ID: <handler.50571.D50571.163171182115063.notifdone <at> debbugs.gnu.org>
References: <83o88uashy.fsf@HIDDEN> <87ilz4msha.fsf@HIDDEN>
X-Gnu-PR-Message: they-closed 50571
X-Gnu-PR-Package: emacs
Reply-To: 50571 <at> debbugs.gnu.org
Date: Wed, 15 Sep 2021 13:17:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1631711822-15074-1"

This is a multi-part message in MIME format...

------------=_1631711822-15074-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#50571: 28.0.50; Redisplay segfaults with empty face cache

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 50571 <at> debbugs.gnu.org.

--=20
50571: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50571
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1631711822-15074-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50571-done) by debbugs.gnu.org; 15 Sep 2021 13:17:01 +0000
Received: from localhost ([127.0.0.1]:51286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQUmb-0003ut-Ek
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 09:17:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mQUmV-0003uc-WE
 for 50571-done <at> debbugs.gnu.org; Wed, 15 Sep 2021 09:16:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34540)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mQUmP-0002zJ-QV; Wed, 15 Sep 2021 09:16:49 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4256
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mQUmP-0002fs-57; Wed, 15 Sep 2021 09:16:49 -0400
Date: Wed, 15 Sep 2021 16:16:41 +0300
Message-Id: <83o88uashy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87y27zuek1.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
 <87a6kggiz6.fsf@HIDDEN> <83bl4vcnsp.fsf@HIDDEN>
 <83a6kfcmdk.fsf@HIDDEN> <87y27zuek1.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50571-done
Cc: 50571-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: 50571 <at> debbugs.gnu.org
> Date: Tue, 14 Sep 2021 20:45:18 +0100
> 
> >> Thanks, I see the reason now.  It's because we allow to have arbitrary
> >> Lisp to be registered in jit-lock-functions, and then that arbitrary
> >> Lisp is called in the middle of redisplay, and in this case creates a
> >> whole new frame with faces.  As luck would have it, we decide right
> >> there and then perform routine maintenance and release all the faces
> >> on all the frames...
> >> 
> >> I'm thinking about the best solution for this.
> >
> > Does the patch below give good results?
> 
> Yes, applying it makes the issue go away, and reverting it reintroduces
> the segfault.  I didn't notice any other issues.  Thanks!

Thanks, I've now installed these changes, and I'm therefore closing
the bug.


------------=_1631711822-15074-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 14:59:46 +0000
Received: from localhost ([127.0.0.1]:46579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPnQu-0000vb-Ql
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:59:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:44684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mPnQr-0000vS-Pm
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:59:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1mPnQr-0005dr-Gg
 for bug-gnu-emacs@HIDDEN; Mon, 13 Sep 2021 10:59:41 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:38798)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1mPnQm-0006N2-P7
 for bug-gnu-emacs@HIDDEN; Mon, 13 Sep 2021 10:59:40 -0400
Received: by mail-wr1-x42d.google.com with SMTP id u16so15188597wrn.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 13 Sep 2021 07:59:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=DEoJE07z8N9Zbyf2n9Ef/gtVMbuwqtJ0o7bnr4iiRec=;
 b=dntB3+7tjnUn3wym5uE8PXt3gRVa8Fr7+WbGswR5YLNymOGRMyPJC5TqY0xjdm4f/n
 eIZzdk9LtcE0hg5hZ1aKsnAe+DmUJrKkKIdVQ+AtnG0NlZuZ2CNBOVTKr8crvSK4Anaz
 IsNO7ld/X6J+Tw4bXKh7DzD7xJSlrCTym8W5/DZ6GABOhWvVlK95z0NgFvPAisFPcXrk
 V0y5xFjb9W6YhhGnjH8xBmNX3mk1PXwGH9bMdmCfTzn/ha4CmMMQLlAZrc+Q5ROD+ap/
 UQhUg6Rmq+lePr/JxTh4tU27lFU4SCrqcbLTJaEUi9uWLDehREtsf3uw2NvGCEGz26S+
 AOWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=DEoJE07z8N9Zbyf2n9Ef/gtVMbuwqtJ0o7bnr4iiRec=;
 b=tCx7qOIYD4b/DwYWNSU2DKAYrq7M+0KXd4eUHzo7uIAvMoHK4jxbRZrIwJt9zN9p4m
 Npm9ziZxnuykEOoM7IAResc56wDt+R7kw86UYQBddC+lhiMhAIIpR1t+dm2e4nrEkyNf
 D374KXbiDh62iBc1Q2xH+7j3OHt3vAl+g7A1IR8XABJxo4q/plbPPkoCrA+1RyKT2DZq
 Y4gNWuiIG/aUKNeWNs/MVIrhm4Z9vmk638oq1LJV0czb4uivS41geK7FH3JnbT4HVmCI
 UUGpGJPHjrFR2LIT7fx2tvGTXoQ6SKKnf+TR3e8io4ZQO3hIdgERg9L47pEfc16NbvD2
 cCMQ==
X-Gm-Message-State: AOAM532Q3TSuAR8xipYAEcUm0NInyOTHkMr5tfU/7qmwmsOoPBdGkCi8
 1SsQqx+SYP+lc+zWJH3sPuUfXC0hLtorwA==
X-Google-Smtp-Source: ABdhPJxxKzCC/Lu5BjMQdCwEs7dC5PIEUImwCrraIpwjhfIYdW/gOxVRLylzdBbCWZ6qrQEu0qADkA==
X-Received: by 2002:adf:ec4b:: with SMTP id w11mr7525598wrn.389.1631545172556; 
 Mon, 13 Sep 2021 07:59:32 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id o10sm8534792wrc.16.2021.09.13.07.59.30
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Sep 2021 07:59:31 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Redisplay segfaults with empty face cache
Date: Mon, 13 Sep 2021 15:59:29 +0100
Message-ID: <87ilz4msha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::42d;
 envelope-from=contovob@HIDDEN; helo=mail-wr1-x42d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

I can reliably cause Emacs to segfault with my current config and
installed packages with the following steps specific to my system:

0. C-x p p (project-switch-project)
1. Select a checkout of https://github.com/kyleam/bog,
   using Ivy completion.
2. m (magit-project-status)

This tries to pop up a new frame (I have pop-up-frames non-nil) with
some recently introduced warning about bug-reference-bug-regexp.  I know
this is what it tries to do only because Emacs didn't segfault the first
time it happened, whereas now the segfault happens every time, before I
get a chance to read the warning.

I think there was some work on Magit recently relating to
bug-reference-mode, but I haven't updated my packages in a few days, so
it is possible that the warning has already been fixed upstream.  I will
therefore hold off on updating my packages until this segfault is fixed.

The attached GDB log for this session shows that the assertion that the
face cache (of the frame displaying Magit) is nonempty is tripped.

I have to run now, but I'll keep GDB running, and I'd be grateful for
help debugging this.

Thanks,

-- 
Basil


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=gdb-face-cache.txt.gz
Content-Transfer-Encoding: base64
Content-Description: GDB log
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--=-=-=
Content-Type: text/plain


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2021-09-13 built on tia
Repository revision: 7fe88446c30279285e3171091189b3d1af697c05
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure 'CC=ccache gcc' 'CFLAGS=-O0 -ggdb3' --config-cache
 --prefix=/home/blc/.local --program-suffix=-dbg
 --enable-checking=yes,glyphs --enable-check-lisp-object-type
 --with-x-toolkit=lucid --with-file-notification=yes --with-x'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  minibuffer-depth-indicate-mode: t
  bug-reference-prog-mode: t
  global-whitespace-mode: t
  display-time-mode: t
  global-subword-mode: t
  subword-mode: t
  global-so-long-mode: t
  global-paren-face-mode: t
  paren-face-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  display-battery-mode: t
  blc-rainbow-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t

Load-path shadows:
/home/blc/.emacs.d/lisp/counsel hides /home/blc/.emacs.d/elpa/counsel-0.13.4.0.20210819.150009/counsel
/home/blc/.emacs.d/lisp/ivy-hydra hides /home/blc/.emacs.d/elpa/ivy-hydra-0.13.5.0.20210311.102431/ivy-hydra
/home/blc/.local/src/emacs-dbg/lisp/org/org-num hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-num
/home/blc/.local/src/emacs-dbg/lisp/org/ob-plantuml hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-plantuml
/home/blc/.local/src/emacs-dbg/lisp/org/ol-rmail hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-rmail
/home/blc/.local/src/emacs-dbg/lisp/org/ol-bibtex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-bibtex
/home/blc/.local/src/emacs-dbg/lisp/org/ob-python hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-python
/home/blc/.local/src/emacs-dbg/lisp/org/org-table hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-table
/home/blc/.local/src/emacs-dbg/lisp/org/ol-info hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-info
/home/blc/.local/src/emacs-dbg/lisp/org/ob-stan hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-stan
/home/blc/.local/src/emacs-dbg/lisp/org/ob-scheme hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-scheme
/home/blc/.local/src/emacs-dbg/lisp/org/org-macro hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-macro
/home/blc/.local/src/emacs-dbg/lisp/org/org-habit hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-habit
/home/blc/.local/src/emacs-dbg/lisp/org/ob-coq hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-coq
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ocaml hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ocaml
/home/blc/.local/src/emacs-dbg/lisp/org/ob-org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-org
/home/blc/.local/src/emacs-dbg/lisp/org/org-capture hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-capture
/home/blc/.local/src/emacs-dbg/lisp/org/ob-emacs-lisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-emacs-lisp
/home/blc/.local/src/emacs-dbg/lisp/org/org-attach-git hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-attach-git
/home/blc/.local/src/emacs-dbg/lisp/org/org-plot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-plot
/home/blc/.local/src/emacs-dbg/lisp/org/ob-exp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-exp
/home/blc/.local/src/emacs-dbg/lisp/org/org-crypt hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-crypt
/home/blc/.local/src/emacs-dbg/lisp/org/ob hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob
/home/blc/.local/src/emacs-dbg/lisp/org/ob-gnuplot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-gnuplot
/home/blc/.local/src/emacs-dbg/lisp/org/ob-tangle hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-tangle
/home/blc/.local/src/emacs-dbg/lisp/org/ob-io hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-io
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ebnf hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ebnf
/home/blc/.local/src/emacs-dbg/lisp/org/ob-haskell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-haskell
/home/blc/.local/src/emacs-dbg/lisp/org/ox-icalendar hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-icalendar
/home/blc/.local/src/emacs-dbg/lisp/org/ob-dot hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-dot
/home/blc/.local/src/emacs-dbg/lisp/org/org-element hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-element
/home/blc/.local/src/emacs-dbg/lisp/org/ox-org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-org
/home/blc/.local/src/emacs-dbg/lisp/org/ob-makefile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-makefile
/home/blc/.local/src/emacs-dbg/lisp/org/ob-shell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-shell
/home/blc/.local/src/emacs-dbg/lisp/org/ob-mscgen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-mscgen
/home/blc/.local/src/emacs-dbg/lisp/org/ob-clojure hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-clojure
/home/blc/.local/src/emacs-dbg/lisp/org/org-protocol hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-protocol
/home/blc/.local/src/emacs-dbg/lisp/org/org-clock hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-clock
/home/blc/.local/src/emacs-dbg/lisp/org/ob-R hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-R
/home/blc/.local/src/emacs-dbg/lisp/org/ob-J hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-J
/home/blc/.local/src/emacs-dbg/lisp/org/org-compat hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-compat
/home/blc/.local/src/emacs-dbg/lisp/org/org-keys hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-keys
/home/blc/.local/src/emacs-dbg/lisp/org/org-inlinetask hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-inlinetask
/home/blc/.local/src/emacs-dbg/lisp/org/ol-w3m hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-w3m
/home/blc/.local/src/emacs-dbg/lisp/org/org-datetree hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-datetree
/home/blc/.local/src/emacs-dbg/lisp/org/ob-abc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-abc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-eval hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-eval
/home/blc/.local/src/emacs-dbg/lisp/org/org-version hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-version
/home/blc/.local/src/emacs-dbg/lisp/org/org-src hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-src
/home/blc/.local/src/emacs-dbg/lisp/org/org-agenda hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-agenda
/home/blc/.local/src/emacs-dbg/lisp/org/org-footnote hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-footnote
/home/blc/.local/src/emacs-dbg/lisp/org/ob-shen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-shen
/home/blc/.local/src/emacs-dbg/lisp/org/ob-groovy hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-groovy
/home/blc/.local/src/emacs-dbg/lisp/org/ob-eshell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-eshell
/home/blc/.local/src/emacs-dbg/lisp/org/ox-md hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-md
/home/blc/.local/src/emacs-dbg/lisp/org/ol-bbdb hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-bbdb
/home/blc/.local/src/emacs-dbg/lisp/org/ob-fortran hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-fortran
/home/blc/.local/src/emacs-dbg/lisp/org/ob-matlab hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-matlab
/home/blc/.local/src/emacs-dbg/lisp/org/ol-mhe hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-mhe
/home/blc/.local/src/emacs-dbg/lisp/org/ob-hledger hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-hledger
/home/blc/.local/src/emacs-dbg/lisp/org/ox-texinfo hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-texinfo
/home/blc/.local/src/emacs-dbg/lisp/org/ox-man hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-man
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ditaa hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ditaa
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ruby hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ruby
/home/blc/.local/src/emacs-dbg/lisp/org/ob-asymptote hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-asymptote
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ledger hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ledger
/home/blc/.local/src/emacs-dbg/lisp/org/ox-html hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-html
/home/blc/.local/src/emacs-dbg/lisp/org/org-archive hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-archive
/home/blc/.local/src/emacs-dbg/lisp/org/ox-odt hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-odt
/home/blc/.local/src/emacs-dbg/lisp/org/org-pcomplete hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-pcomplete
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sed hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sed
/home/blc/.local/src/emacs-dbg/lisp/org/ol-gnus hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-gnus
/home/blc/.local/src/emacs-dbg/lisp/org/org-macs hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-macs
/home/blc/.local/src/emacs-dbg/lisp/org/ob-screen hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-screen
/home/blc/.local/src/emacs-dbg/lisp/org/org-ctags hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-ctags
/home/blc/.local/src/emacs-dbg/lisp/org/org-entities hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-entities
/home/blc/.local/src/emacs-dbg/lisp/org/org-indent hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-indent
/home/blc/.local/src/emacs-dbg/lisp/org/ob-js hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-js
/home/blc/.local/src/emacs-dbg/lisp/org/ox-latex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-latex
/home/blc/.local/src/emacs-dbg/lisp/org/ol-eshell hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-eshell
/home/blc/.local/src/emacs-dbg/lisp/org/ox hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox
/home/blc/.local/src/emacs-dbg/lisp/org/ob-table hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-table
/home/blc/.local/src/emacs-dbg/lisp/org/ob-java hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-java
/home/blc/.local/src/emacs-dbg/lisp/org/org-colview hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-colview
/home/blc/.local/src/emacs-dbg/lisp/org/ob-calc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-calc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sass hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sass
/home/blc/.local/src/emacs-dbg/lisp/org/org-mouse hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-mouse
/home/blc/.local/src/emacs-dbg/lisp/org/ol-docview hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-docview
/home/blc/.local/src/emacs-dbg/lisp/org/org-lint hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-lint
/home/blc/.local/src/emacs-dbg/lisp/org/org-goto hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-goto
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lisp
/home/blc/.local/src/emacs-dbg/lisp/org/ol hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol
/home/blc/.local/src/emacs-dbg/lisp/org/ol-eww hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-eww
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lua hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lua
/home/blc/.local/src/emacs-dbg/lisp/org/org-id hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-id
/home/blc/.local/src/emacs-dbg/lisp/org/ox-beamer hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-beamer
/home/blc/.local/src/emacs-dbg/lisp/org/org-attach hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-attach
/home/blc/.local/src/emacs-dbg/lisp/org/ol-irc hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ol-irc
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lilypond hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lilypond
/home/blc/.local/src/emacs-dbg/lisp/org/ob-core hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-core
/home/blc/.local/src/emacs-dbg/lisp/org/ob-ref hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-ref
/home/blc/.local/src/emacs-dbg/lisp/org/ox-ascii hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-ascii
/home/blc/.local/src/emacs-dbg/lisp/org/org-list hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-list
/home/blc/.local/src/emacs-dbg/lisp/org/org-mobile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-mobile
/home/blc/.local/src/emacs-dbg/lisp/org/ob-perl hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-perl
/home/blc/.local/src/emacs-dbg/lisp/org/org-refile hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-refile
/home/blc/.local/src/emacs-dbg/lisp/org/org-faces hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-faces
/home/blc/.local/src/emacs-dbg/lisp/org/ob-processing hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-processing
/home/blc/.local/src/emacs-dbg/lisp/org/ob-picolisp hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-picolisp
/home/blc/.local/src/emacs-dbg/lisp/org/ob-awk hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-awk
/home/blc/.local/src/emacs-dbg/lisp/org/ob-vala hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-vala
/home/blc/.local/src/emacs-dbg/lisp/org/ob-octave hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-octave
/home/blc/.local/src/emacs-dbg/lisp/org/ob-maxima hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-maxima
/home/blc/.local/src/emacs-dbg/lisp/org/org-duration hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-duration
/home/blc/.local/src/emacs-dbg/lisp/org/ob-forth hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-forth
/home/blc/.local/src/emacs-dbg/lisp/org/org hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org
/home/blc/.local/src/emacs-dbg/lisp/org/org-tempo hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-tempo
/home/blc/.local/src/emacs-dbg/lisp/org/ox-publish hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-publish
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sql hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sql
/home/blc/.local/src/emacs-dbg/lisp/org/ob-latex hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-latex
/home/blc/.local/src/emacs-dbg/lisp/org/org-feed hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-feed
/home/blc/.local/src/emacs-dbg/lisp/org/org-loaddefs hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-loaddefs
/home/blc/.local/src/emacs-dbg/lisp/org/ob-sqlite hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-sqlite
/home/blc/.local/src/emacs-dbg/lisp/org/ob-lob hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-lob
/home/blc/.local/src/emacs-dbg/lisp/org/ob-C hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-C
/home/blc/.local/src/emacs-dbg/lisp/org/org-timer hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/org-timer
/home/blc/.local/src/emacs-dbg/lisp/org/ob-comint hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-comint
/home/blc/.emacs.d/elpa/org-contrib-0.1.0.20210610.153732/ox-koma-letter hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ox-koma-letter
/home/blc/.local/src/emacs-dbg/lisp/org/ob-css hides /home/blc/.emacs.d/elpa/org-9.5snapshot0.20210901.144307/ob-css
/home/blc/.emacs.d/lisp/swiper hides /home/blc/.emacs.d/elpa/swiper-0.13.4.0.20210521.132146/swiper
/home/blc/.emacs.d/lisp/colir hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/colir
/home/blc/.emacs.d/lisp/ivy-faces hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy-faces
/home/blc/.emacs.d/lisp/ivy-overlay hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy-overlay
/home/blc/.emacs.d/lisp/ivy hides /home/blc/.emacs.d/elpa/ivy-0.13.4.0.20210903.181938/ivy
/home/blc/.emacs.d/lisp/dash hides /home/blc/.emacs.d/elpa/dash-2.19.1.0.20210826.114923/dash
/home/blc/.emacs.d/elpa/transient-0.3.6.0.20210819.211812/transient hides /home/blc/.local/src/emacs-dbg/lisp/transient

Features:
(shadow sort footnote mail-extr gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum shr kinsoku svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 netrc
nnoo parse-time iso8601 gnus-spec gnus-int gnus-range gnus-win gnus
nnheader wid-edit emacsbug message rmc puny rfc822 mml mml-sec epa
derived epg rfc6068 epg-config gnus-util rmail rmail-loaddefs time-date
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils thingatpt counsel xref project git-annex advice rx dired-x
deb-view dired dired-loaddefs compile text-property-search comint
ansi-color swiper cl-extra help-mode mb-depth ivy ring ivy-faces
ivy-overlay colir color vc-git diff-mode easy-mmode vc vc-dispatcher
bug-reference edmacro kmacro whitespace time cap-words superword subword
so-long paren-face paren highlight-escape-sequences delsel delight
modus-operandi-theme modus-themes pcase format-spec battery dbus xml xdg
blc-pkg finder-inf info tex-site debian-el sly-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x url-vars cl-loaddefs cl-lib blc-lib map seq
byte-opt gv bytecomp byte-compile cconv iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 403751 62245)
 (symbols 48 27937 12)
 (strings 32 116179 9154)
 (string-bytes 1 3506695)
 (vectors 16 39922)
 (vector-slots 8 469718 40842)
 (floats 8 333 153)
 (intervals 56 313 72)
 (buffers 992 10))

--=-=-=--



------------=_1631711822-15074-1--


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50571: 28.0.50; Redisplay segfaults with empty face cache
Resent-From: "Basil L. Contovounesios" <contovob@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Sep 2021 13:58:01 +0000
Resent-Message-ID: <handler.50571.B50571.16320598361788 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50571
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 50571 <at> debbugs.gnu.org
Received: via spool by 50571-submit <at> debbugs.gnu.org id=B50571.16320598361788
          (code B ref 50571); Sun, 19 Sep 2021 13:58:01 +0000
Received: (at 50571) by debbugs.gnu.org; 19 Sep 2021 13:57:16 +0000
Received: from localhost ([127.0.0.1]:39386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRxJj-0000Sl-L7
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 09:57:15 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:36470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1mRxJh-0000SY-PK
 for 50571 <at> debbugs.gnu.org; Sun, 19 Sep 2021 09:57:14 -0400
Received: by mail-wr1-f52.google.com with SMTP id g16so23837757wrb.3
 for <50571 <at> debbugs.gnu.org>; Sun, 19 Sep 2021 06:57:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ARXXfUsuNeJawcL0wYO5UD3jhJvsyThIXi76GuzwQAU=;
 b=H2KP3oBXoqfDcSjhD9o3fLHiW9pZdQ/wlpVAQVUvmY1PVaiqudXZo6+C3eVEvPdvgu
 vkTWfDrGXj11B3nPPKTJnIXZzuPplvFEgu8niJMjVVnFUUeF6vwEdhE2sJyVnNV6zhE+
 12yHp1Q/awNg6pUmf4EaemRKVP/4Mmt9rb9H4YlAqf0d1nMNHJ4WGgXZgoqSMAvjZuUy
 rWaaze3SvGvzU+20j5mvxoj72ebFdmu3Ec/jxBckkDLSs6w0VYlR/pmoRWeO6qpUwH94
 YhpmKsuZbc6k878VMfVBunqtOb2J4TrKjmCAZqhtTsOeLtCTLHYOhyeFTSmK3rcFhIPF
 vsRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ARXXfUsuNeJawcL0wYO5UD3jhJvsyThIXi76GuzwQAU=;
 b=eFX4/SRSa+KqxI2P3KppLyePxwjgePStSmwIA4vuFvFRI+0fSeF8NtSGyu+kjtHpsY
 l8Lk3UevczSa9QE5WcOPzC/kLuQttUojbcy/7fJ4STnElgfsrdMNxBmAQPq5zSSv3J/n
 mo7R/aMK/67sjITNan/2oQSPuwIf7vDiYstHwO+yhyJRHk8qvOM9/rQ/UJ8G7d8FgmEc
 gpKKfTyAIwwpE6P08WGSCAS8xqkTnuS/MCMlBsepksuKl+AxfG0tHnCPUjK7FQo3hUU3
 ydEH3C9WCom94JIYBsdRQmx5FpvYKC23AJhbicREppYzpbjJBW07AMkFA0rIlmK99jUP
 ivmg==
X-Gm-Message-State: AOAM531C8zyuaVE7c8dOM7JiYVM929hU1Uci9AsiHNNu+FXjSA1dILsB
 ytSe/WezAzB6dNKUUt4XJFN1jw==
X-Google-Smtp-Source: ABdhPJzGiFmJDVUtI0bZAzAdYQGkMFYQ1iXJ2dnp/IOBw8zP5cABF24F9MegMR4D+8cPDnM8Ly+QPg==
X-Received: by 2002:adf:c7d1:: with SMTP id y17mr22736280wrg.214.1632059827309; 
 Sun, 19 Sep 2021 06:57:07 -0700 (PDT)
Received: from localhost ([80.233.55.32])
 by smtp.gmail.com with ESMTPSA id x17sm2893308wrc.51.2021.09.19.06.57.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 19 Sep 2021 06:57:04 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
References: <87ilz4msha.fsf@HIDDEN> <831r5sea46.fsf@HIDDEN>
 <87a6kggiz6.fsf@HIDDEN> <83bl4vcnsp.fsf@HIDDEN>
 <83a6kfcmdk.fsf@HIDDEN> <87y27zuek1.fsf@HIDDEN>
Date: Sun, 19 Sep 2021 14:57:02 +0100
In-Reply-To: <87y27zuek1.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Tue, 14 Sep 2021 20:45:18 +0100")
Message-ID: <87v92wacsx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

reopen 50571
quit

Basil L. Contovounesios [2021-09-14 20:45 +0100] wrote:

> Eli Zaretskii [2021-09-14 16:33 +0300] wrote:
>
>>> Date: Tue, 14 Sep 2021 16:03:02 +0300
>>> From: Eli Zaretskii <eliz@HIDDEN>
>>> Cc: 50571 <at> debbugs.gnu.org
>>> 
>>> Thanks, I see the reason now.  It's because we allow to have arbitrary
>>> Lisp to be registered in jit-lock-functions, and then that arbitrary
>>> Lisp is called in the middle of redisplay, and in this case creates a
>>> whole new frame with faces.  As luck would have it, we decide right
>>> there and then perform routine maintenance and release all the faces
>>> on all the frames...
>>> 
>>> I'm thinking about the best solution for this.
>>
>> Does the patch below give good results?
>
> Yes, applying it makes the issue go away, and reverting it reintroduces
> the segfault.  I didn't notice any other issues.  Thanks!

Unfortunately I found another hole that needs plugging, but fortunately
I can reliably reproduce it with the following site-specific steps:

0. emacs
1. C-x p p (project-switch-project)
2. Select a checkout of https://github.com/abo-abo/swiper,
   using Ivy completion.
3. f (project-find-file)
4. ivy.el RET
5. C-s (isearch-forward)
6. C-g
7. M-s s (counsel-grep-or-swiper)
8. #[[:digit:]]

This brings a bug-reference-bug-regexp match onto screen, which again
triggers a frame creation via bug-reference's call to display-warning.

The attached GDB log shows where the relevant frame's face cache is
cleared right before the crash (search for 'New value = 0'), at which
point f->inhibit_clear_image_cache is false.

-- 
Basil


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=20210919-gdb-watch.txt.gz
Content-Transfer-Encoding: base64
Content-Description: GDB log
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--=-=-=--




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Sun, 19 Sep 2021 13:58:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator



Last modified: Sun, 19 Sep 2021 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.